<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.RadiusCardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:topLeftRadius="8dp"
    app:topRightRadius="8dp"
    app:bottomLeftRadius="8dp"
    app:bottomRightRadius="8dp"
    app:cardElevation="0dp">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black">

        <RelativeLayout
            android:id="@+id/surface_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center">

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/thumb"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.gh.gamecenter.common.view.WrapContentDraweeView
                android:id="@+id/thumbImage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:scaleType="centerCrop" />
        </RelativeLayout>

        <moe.codeest.enviews.ENDownloadView
            android:id="@+id/loading"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:visibility="invisible" />

        <ImageView
            android:id="@+id/start"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:layout_gravity="center_vertical"
            android:src="@drawable/icon_preview_video_play" />

        <TextView
            android:visibility="gone"
            android:id="@+id/pendingView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/black_alpha_60"
            android:gravity="center"
            android:textColor="@color/white_alpha_80"
            android:textSize="12sp"
            android:text="@string/pending_status" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_alignParentRight="true"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/durationTv"
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                android:gravity="center"
                android:layout_margin="8dp"
                android:background="@drawable/bg_pic_count_label"
                android:includeFontPadding="false"
                android:paddingLeft="4dp"
                android:paddingRight="4dp"
                android:text="00:00"
                android:textColor="@color/white"
                android:textSize="10sp" />
        </LinearLayout>

        <include
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="2dp"
            android:layout_alignParentBottom="true"
            layout="@layout/piece_article_video_control" />

        <ProgressBar
            android:id="@+id/bottom_progressbar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:max="100"
            android:progressDrawable="@drawable/progressbar_video_detail"
            android:layout_alignParentBottom="true" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/completeContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/black_alpha_60"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="gone"
            tools:visibility="visible">

            <TextView
                android:id="@+id/replayTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_video_replay"
                android:drawablePadding="8dp"
                android:text="重播"
                android:textColor="@color/white"
                android:textSize="14sp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@+id/shareTv" />

            <TextView
                android:id="@+id/shareTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_video_share"
                android:drawablePadding="8dp"
                android:text="分享"
                android:textColor="@color/white"
                android:textSize="14sp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintLeft_toRightOf="@+id/replayTv" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/layout_top"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_alignParentTop="true"
            android:layout_toEndOf="@+id/back_tiny"
            android:layout_toRightOf="@+id/back_tiny"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/back"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:paddingLeft="10dp"
                android:scaleType="centerInside"
                android:src="@drawable/video_back" />

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingLeft="10dp"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>
    </RelativeLayout>
</com.gh.gamecenter.common.view.RadiusCardView>
